NUMBER(6)

NAME
number - convert Arabic numerals to English

SYNOPSIS
/usr/games/number [ -a | -b ] [ -A | -B ] [ -T | -M ] [ -number ] [ file ... ]

DESCRIPTION
Number copies the standard input to the standard output, changing each decimal number to a fully spelled out version. This version of number by default outputs numbers in Standard British English, the -a flag causes output to be in American English. The other flags allow more control over the formatting. If no file arguments are given the standard input is read.

OPTIONS

-B  Combine the two parts of a number which are less than 100 and greater than 100 using the conjunction and, as is normal in Standard British English, thus 187 is translated to one hundred and eighty seven.

-A  Do not use and in numbers. Thus 187 is translated to one hundred eighty seven. This is the format normally mandated by American institutions.

-M  Assume that quantifiers greater than million refer to successive multiples of one million. Thus 1000000000 (10^9) is translated to one thousand million. This is the default; quantifiers have the general form multipleillion giving the value 10^(6*multiple), where multiple is expressed (following the American pattern) as a prefix derived from French.

-T  Assume that quantifiers greater than million refer to successive multiples of one thousand. Thus 1000000000 (10^9) is translated to one billion. In this case quantifiers have a value 10^(3+3*multiple).

-number
    Limit the number of quantifiers used to number. Thus the highest quantifier has a multiple value (in the above equations) of number. Number must be in the range one to twenty. The default is twenty.

-a  Default to American English; as though -A and -T had been specified.

-b  The default; default to Standard British English as though -B and -M had been specified.

Options may be changed between files.

SEE ALSO
primes(6), factor(6).